2018-06-24 23:20 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000013FSSCPgraphicspublic2006-10-26 23:32
ReporterSA22C 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
Product Version 
Target VersionFixed in Version3.6 
Summary0000013: Slowdowns with each new ship
DescriptionIn game whenever a new ship arrives, there is a lag and then everything smooths out again. After the ship count grows, the performance hit gets greater and greater until when there are around 10 capital ships on the screen, the game renders at less than 1 FPS. Textures seem to flash in and out during the lag.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000056

RandomTiger (developer)

Try htl mode
PLease supply system specs

~0000057

SA22C (reporter)

I am using HTL mode, here are my system specs:
Pentium III 803 MHz
Asus CUV4X
640 MB SDRAM
GeForce 3 ti 200
SoundBlaster Live! 5.1
Windows XP
Latest version of DirectX

~0000063

RandomTiger (developer)

What flags are you using?

~0000069

SA22C (reporter)

Flags:
-htl -pcx32 -d3dmipmap -fps -t32

~0000070

Lightspeed (reporter)

Note that this ONLY happens in HT&L mode.

Whenever something new is loaded up the game locks for 0.2-1 second - something that doesnt happen / never happened without HT&L enabled.

~0000071

RandomTiger (developer)

Could you describe 'Textures seem to flash in and out during the lag' in more detail?

Do textures flash to another texture? Garbage? Totally disappear showing background?

If possible a screenshot would be great.

Does this happen only in DX8 or OGL as well?

~0000073

Lightspeed (reporter)

Oh, right; i forgot to mention that the texture flashing doesn't appear here.

~0000074

SA22C (reporter)

I couldn't get a screen shot, but basically the textures disappear but the mesh is still visible as a solid color, the color of the ambient lighting. So if the general light in the mission is red, the texture will dissapear and be replaced by a face or multiple faces of a mesh colored red.

~0000075

SA22C (reporter)

I should also point out that when using the Star Trek ships in FSO, my system runs out of memory and I've got it set to 1200 MB including swap file.

~0000543

RandomTiger (developer)

People seem to think this is fixed

~0000558

Bobboau (developer)

well if that's what the people think
+Notes

-Issue History
Date Modified Username Field Change
2003-12-20 00:08 SA22C New Issue
2004-01-17 04:30 RandomTiger Note Added: 0000056
2004-01-17 11:11 SA22C Note Added: 0000057
2004-01-18 11:30 RandomTiger Note Added: 0000063
2004-01-19 03:24 SA22C Note Added: 0000069
2004-01-19 08:39 Lightspeed Note Added: 0000070
2004-01-19 13:06 RandomTiger Note Added: 0000071
2004-01-19 17:19 Lightspeed Note Added: 0000073
2004-01-19 17:47 SA22C Note Added: 0000074
2004-01-19 17:49 SA22C Note Added: 0000075
2004-03-04 10:02 Kazan Assigned To => Bobboau
2004-03-04 10:02 Kazan Status new => assigned
2004-03-22 17:45 RandomTiger Note Added: 0000543
2004-03-23 05:02 Bobboau Status assigned => resolved
2004-03-23 05:02 Bobboau Resolution open => fixed
2004-03-23 05:02 Bobboau Note Added: 0000558
2006-10-26 23:32 Goober5000 Assigned To Bobboau =>
2006-10-26 23:32 Goober5000 Status resolved => closed
2006-10-26 23:32 Goober5000 Resolution fixed => no change required
2006-10-26 23:32 Goober5000 Fixed in Version => 3.6
+Issue History